Bug 5395 - HPLIP unable to install binary plugin from HP. HP LaserJet Professional m1132 MFP.
Summary: HPLIP unable to install binary plugin from HP. HP LaserJet Professional m1132...
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 2
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA2-64-OK, MGA2-32-OK
Keywords: validated_update
: 7366 7506 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-04-13 19:34 CEST by Serge Moreau
Modified: 2012-11-17 17:36 CET (History)
11 users (show)

See Also:
Source RPM: hplip
CVE:
Status comment:


Attachments
Test as a normal user (40.25 KB, application/octet-stream)
2012-05-11 12:20 CEST, Serge Moreau
Details
Test as a superuser (40.14 KB, application/octet-stream)
2012-05-11 12:21 CEST, Serge Moreau
Details
Printing debug (59.38 KB, text/plain)
2012-09-18 17:52 CEST, Marcello Anni
Details
[root@Portable serge]# hp-plugin -gi (36.28 KB, application/octet-stream)
2012-10-16 16:38 CEST, Serge Moreau
Details

Description Serge Moreau 2012-04-13 19:34:06 CEST
I had to install the multi function printer which is : HP LaserJet Professional m1132 MFP.
This one is connected through USB
So I did as usual with MCC and System Configprinter to install the machine.
It was easily detected with a URI : hp:/usb/HP_LaserJet_Professional_M1132_MFP?serial=000...
The manufacturer and model was : HP LaserJet Professional m1132 MFP, hpcups 3.11.7, requires proprietary plugin
At this level if you try to print the test page that failed. Same thing for Xsane, the scanner is not detect (see the message in my previous post)
Following HP instruction (see below) you have to download the plugin by using HPLIP.
http://hplipopensource.com/hplip-web/downloads.html
http://hplipopensource.com/hplip-web/mo ... 2_mfp.html
In the HP Device manager, in the Actions menu, you find (provide you have install the 1132 printer) an icon Plugin.
This one will download the binary plugin and install it. At this point the HPLIP (3.11.7) failed.
Then I decided to check the installation on my laptop with MGA2 beta2 (which has the HPLIP 3.12.2). Same result.
In order to go further, always on my laptop i checked the same process with the suse 12.1 distribution.
I followed the same process, system configprinter and then HP Device manager. The printer is also easily detected with the same URI as mentioned above. Then i open the HP Device Manager and checked the pulgin installation.
The message in that case was : plugin success install.
So I tested the print testpage : success
Of course I checked Xsane : success, the scanner is perfectly detected and we were able to scan black and white or color data.
So on Suse 12.1 we can use its multifunction printer.

For that time I modified the MGA1 installation by using a free driver (foo2xqx) as proposed in :
http://www.openprinting.org/printer/HP/ ... _M1132_MFP
Of course in that case the scanner is not detected.
Manuel Hiebel 2012-04-14 00:53:14 CEST

Assignee: bugsquad => doktor5000
Source RPM: HPLIP 3.11.7 => hplip

Comment 1 Serge Moreau 2012-04-14 08:21:27 CEST
rpm found :
mga1 : hplip-3.11.7-1.2.mga1
mga2 : hplip-3.12.2-3;mga2
suse 12.1 : hplip-3.12.2-45.1.x86_64

comparison between rpm could perhaps help ?
Comment 2 Serge Moreau 2012-04-30 08:45:14 CEST
I will have a new access to laserjet m1132 of my friend. What kind of information will you need ? What kind of log files will be useful for you ?

Sincerely
Comment 3 Florian Hubold 2012-05-03 20:17:30 CEST
Run the plugin installation from a terminal, probably like this: 

hp-plugin -g

This enables debug logging level and will hopefully provide helpful insight what the problem is. Maybe you need to run this as root, but first try as a normal user and post the results in the bugreport.

CC: (none) => doktor5000
Status: NEW => ASSIGNED

Comment 4 Serge Moreau 2012-05-09 07:10:31 CEST
The results of the test : things are largely improving.

First using hp-plugin -g as normal user, installation of the plugin failed :
[test@Portable ~]$ hp-plugin

HP Linux Imaging and Printing System (ver. 3.12.4)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

/Checking for network connection...
Downloading configuration file from: http://hplip.sf.net/plugin.conf
Checking for network connection...
Downloading plug-in from: http://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/hplip-3.12.4-plugin.run
Receiving digital keys: /usr/bin/gpg --no-permission-warning --keyserver pgp.mit.edu --recv-keys 0xA59047B9
Verifying archive integrity... All good.
Uncompressing HPLIP 3.12.4 Plugin Self Extracting Archive.........................................

HP Linux Imaging and Printing System (ver. 3.12.4)
Plugin Installer ver. 3.0

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Plug-in version: 3.12.4
Installed HPLIP version: 3.12.4
Number of files to install: 36

error: Plug-in install failed.

Done.

Second as root success :
[root@Portable test]# hp-plugin -g

HP Linux Imaging and Printing System (ver. 3.12.4)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-14 Hewlett-Packard Development Compan
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute
under certain conditions. See COPYING file for more details.

hp-plugin[20268]: debug: Locking: /var/hp-plugin.lock
hp-plugin[20268]: debug: Unable to open file installer/distros
hp-plugin[20268]: debug: []
hp-plugin[20268]: debug: Plug-in version=3.12.4
hp-plugin[20268]: debug: Plug-in=hplip-3.12.4-plugin.run
hp-plugin[20268]: debug: Loading user settings...
hp-plugin[20268]: debug: FAB command: /usr/bin/hp-fab 
hp-plugin[20268]: debug: Scan command: /usr/bin/xsane -V %SANE
hp-plugin[20268]: debug: Auto refresh: False
hp-plugin[20268]: debug: Auto refresh rate: 30
hp-plugin[20268]: debug: Auto refresh type: 1
hp-plugin[20268]: debug: Systray visible: 0
hp-plugin[20268]: debug: Systray messages: 0
hp-plugin[20268]: debug: Last used device URI: 
hp-plugin[20268]: debug: Last used printer: 
hp-plugin[20268]: debug: Working directory: .
hp-plugin[20268]: debug: Starting GUI loop...
hp-plugin[20268]: debug: Plugin.conf url: http://hplip.sf.net/plugin
Checking for network connection...
hp-plugin[20268]: debug: /usr/bin/wget --timeout=60 --output-document=- http://w
hp-plugin[20268]: debug: --2012-05-08 17:21:03--  http://www.google.
Résolution de www.google.com (www.google.com)...                                              
hp-plugin[20268]: debug: 74.125.132.103, 74.125.132.105, 74.125.132.147, .
Connexion vers www.google.com (www.google.com)|74.125.132.103|:80...connecté.                 
requête HTTP transmise, en attente de la réponse...302 Found                                  
Emplacement: http://www.google.fr/ [suivant]                                                  
--2012-05-08 17:21:08--  http://www.google.fr/                                                
Résolution de www.google.fr (www.google.fr)...                                                
hp-plugin[20268]: debug: 173.194.67.94, 2a00:1450:4007:804::10
Connexion vers www.google.fr (www.google.fr)|173.194.67.94|:80...connecté.                    
requête HTTP transmise, en attente de la réponse...200 OK                                     
Longueur: non spécifié [text/html]                                                            
Sauvegarde en : «STDOUT»                                                                      
                                                                                              
    [<=>                                    ] 0           --.-K/s              <!doctype html>e itemtype="http://schema.org/WebPage"><head><meta http-equiv="content-type" content="text/htm-8859-1"><meta itemprop="image" content="/images/google_favicon_128.png"><title>Google</title>.google={kEI:"6jmpT-pN6snRBdCDicwL",getEI:function(a){var b;while(a&&!(a.getAttribute&&(b=a.ged"))))a=a.parentNode;return b||google.kEI},https:function(){return window.location.protocol==":"36683,37111,37808,37918,38099,38135,38485,38525,38576",kCSI:{e:"36683,37111,37808,37918,380938525,38576",ei:"6jmpT-pN6snRBdCDicwL"},authuser:0,                                           
ml:function(){},kHL:"fr",time:function(){return(new Date).getTime()},log:function(a,b,c,e){var=google,i=h.lc,f=h.li,j="";d.onerror=(d.onload=(d.onabort=function(){delete i[f]}));i[f]=d;if(&ei=")==-1)j="&ei="+google.getEI(e);var g=c||"/gen_204?atyp=i&ct="+a+"&cad="+b+j+"&zx="+google
var k=/^http:/i;if(k.test(g)&&google.https()){google.ml(new Error("GLMM"),false,{src:g});deletd.src=g;h.li=f+1},lc:[],li:0,Toolbelt:{},y:{},x:function(a,b){google.y[a.id]=[a,b];return fals
window.google.sn="webhp";window.google.timers={};window.google.startTick=function(a,b){window.a]={t:{start:(new Date).getTime()},bfr:!(!b)}};window.google.tick=function(a,b,c){if(!window.g])google.startTick(a);window.google.timers[a].t[b]=c||(new Date).getTime()};google.startTick("y{}catch(u){}                                                                                 
var _gjwl=location;function _gjuc(){var e=_gjwl.href.indexOf("#");if(e>=0){var a=_gjwl.href.sua.indexOf("&q=")>0||a.indexOf("#q=")>=0){a=a.substring(1);if(a.indexOf("#")==-1){for(var c=0;cr d=c;if(a.charAt(d)=="&")++d;var b=a.indexOf("&",d);if(b==-1)b=a.length;var f=a.substring(d,b("fp=")==0){a=a.substring(0,c)+a.substring(b,a.length);b=c}else if(f=="cad=h")return 0;c=b}_gjch?"+a+"&cad=h";return 1}}}return 0}function _gjp(){!(window._gjwl.hash&&                     
window._gjuc())&&setTimeout(_gjp,500)};                                                       
window._gjp && _gjp()</script><style>#gbar,#guser{font-size:13px;padding-top:1px !important;}#px}#guser{padding-bottom:7px !important;text-align:right}.gbh,.gbd{border-top:1px solid #c9d7fx}.gbh{height:0;position:absolute;top:24px;width:100%}@media all{.gb1{height:22px;margin-right-align:top}#gbar{float:left}}a.gb1,a.gb4{text-decoration:underline !important}a.gb1,a.gb4{coloant}</style><style id=gstyle>body{margin:0;overflow-y:scroll}#gog{padding:3px 8px 0}td{line-he_m td{line-height:17px}form{margin-bottom:20px}body,td,a,p,.h{font-family:arial,sans-serif}.h{t-size:20px}.q{color:#00c}.ts td{padding:0}.ts{border-collapse:collapse}em{font-weight:bold;fol}.lst{height:25px;width:496px}.gsfi,.lst{font:18px arial,sans-serif}.gsfs{font:17px arial,sansplay:-moz-inline-box;display:inline-block;margin:3px 0 4px;margin-left:4px}input{font-family:a.gb2,a.gb3,a.gb4{color:#11c !important}body{background:#fff;color:black}a{color:#11c;text-dec:hover,a:active{text-decoration:underline}.fl a{color:#36c}a:visited{color:#551a8b}a.gb1,a.gb4on:underline}a.gb3:hover{text-decoration:none}#ghead a.gb2:hover{color:#fff!important}.sblc{pa.sblc a{display:block;margin:2px 0;margin-left:13px;font-size:11px;}.lsbb{background:#eee;bordorder-color:#ccc #999 #999 #ccc;height:30px;display:block}.ftl,#fll a{display:inline-block;marb{background:url(/images/srpr/nav_logo80.png) 0 -258px repeat-x;border:none;color:#000;cursor::30px;margin:0;outline:0;font:15px arial,sans-serif;vertical-align:top}.lsb:active{background:s{outline:none}#addlang a{padding:0 3px}.gac_v div{display:none}.gac_v .gac_v2,.gac_bt{displaynt}table.gssb_c{z-index:986  }.nbcl{background:url(/images/srpr/nav_logo80.png) no-repeat ;heix}</style><script>window.rwt=function(a,f,g,l,m,h,c,n,i){try{if(a===window){a=window.event.srca){if(a.href)break;a=a.parentNode}}var b=encodeURIComponent||escape,d;d=a.getAttribute("href")ring(0,6)!="&sig2=")c="&sig2="+c;var o=["/url?sa=t","","&cd=",b(m),i?"&authuser="+b(i):"",goog.pf?"&sqi=2":"","&ved=",b(n),"&url=",b(d).replace(/\+/g,"%2B"),"&ei=","6jmpT-pN6snRBdCDicwL",hc].join("");a.href=o;a.onmousedown=""}catch(p){}return true};                                 
</script></head><body bgcolor=#ffffff text=#000000 link=#0000cc vlink=#551a8b alink=#ff0000 on.f&&document.f.q.focus();document.gbqf&&document.gbqf.q.focus();if(document.images)new Image()srpr/nav_logo80.png'" ><textarea id=csi style=display:none></textarea><div id=mngb><div id=gbass=gb1>Recherche</b> <a class=gb1 href="http://www.google.fr/imghp?hl=fr&tab=wi">Images</a> <af="http://video.google.fr/?hl=fr&tab=wv">Vid�os</a> <a class=gb1 href="http://maps.google.fr/mwl">Maps</a> <a class=gb1 href="http://news.google.fr/nwshp?hl=fr&tab=wn">Actualit�s</a> <a clhttp://www.google.fr/shopping?hl=fr&tab=wf">Shopping</a> <a class=gb1 href="https://mail.googlb=wm">Gmail</a> <a class=gb1 style="text-decoration:none" href="http://www.google.fr/intl/fr/ous</u> &raquo;</a></nobr></div><div id=guser width=100%><nobr><span id=gbn class=gbi></span><sss=gbf></span><span id=gbe><a  href="/url?sa=p&pref=ig&pval=3&q=http://www.google.fr/ig%3Fhl%3Diglk&usg=AFQjCNG3dQ3pMQCxA1EqhLnWIuH8E97qKg" class=gb4>iGoogle</a> | </span><a href="http://wistory/optout?hl=fr" class=gb4>Historique Web</a> | <a  href="/preferences?hl=fr" class=gb4>Pa <a target=_top id=gb_70 href="https://accounts.google.com/ServiceLogin?hl=fr&                
hp-plugin[20268]: debug: =http://www.google.fr/" class=gb4>Connexion</a></nobr></div><div clasft:0></div><div class=gbh style=right:0></div></div><center><br clear=all id=lgpd><div id=lga>dding:28px 0 3px"><div align=left style="background:url(/images/srpr/logo1w.png) no-repeat;heih:276px" title="Google" id=hplogo onload="window.lol&&lol()"><div nowrap style="color:#777;fonnt-weight:bold;left:214px;position:relative;top:70px">France</div></div></div><br></div><form h" name=f><table cellpadding=0 cellspacing=0><tr valign=top><td width=25%>&nbsp;</td><td align><input name=hl type=hidden value=fr><input name=source type=hidden value=hp><input type=hiddee="ISO-8859-1"><div class=ds style="height:32px;margin:4px 0"><input autocomplete=off maxlengtclass="lst" title="Recherche Google" value="" size=57 style="color:#000;margin:0;padding:5px 8cal-align:top"></div><br style="line-height:0"><span class=ds ><span class=lsbb><input name=bt value="Recherche Google" class=lsb></span></span><span class=ds><span class=lsbb><input name=it class=lsb value="J&#39;ai de la chance"></span></span></td><td nowrap width=25% align=left "><a href="/advanced_search?hl=fr">Recherche avanc�e</a><a href="/language_tools?hl=fr">Outils</a></td></tr></table><input type=hidden id=gbv name=gbv value="1"></form><div style="font-sizht:3.5em"><br><div id=prm><span> <p> <img title="Comm�moration du 8 mai 1945" alt="Comm�morati45" src="http://www.google.com/images/icons/hpcg/cornflower-bluepurple_42.png" width="42px" he</p> <br/> <br/> <br/> <script type="text/javascript">(function(){var f="PERSIST_DATA_FAIL";ifs)google.promos={};google.promos.ActionType={ACCEPT:"a",CANCEL:"c",DISMISS:"d",CLICK:"h",IMPREHANKS:"n",X_BUTTON:"x",MGMHP_ACCEPT:"ma",MGMHP_CANCEL:"mc",MGMHP_IMPRESSION:"mi",MGMHPPD_ACCEP_CANCEL:"pc",MGMHPPD_IMPRESSION:"pi",MGMHPPD_NO_THANKS:"pn",MGMHPPD_NO_BUTTON:"px",MGMHPPD_DISDOWN_ACCEPT:"gpa",PUSHDOWN_IMPRESSION:"gpi",PUSHDOWN_NO_THANKS:"gpn",PUSHDOWN_NO_BUTTON:"gpx",SS:"gpd"};google.promos.sl=                                                                   
function(a,b,c,d){var e=[c,"id="+a,"loc="+google.sn];e.push("oi=promoslinger");if(d)e.push(d);.join("&"))};google.promos.si=function(a,b,c,d){if(Math.random()<0.01)google.promos.sl(a,b,d?d.ActionType.IMPRESSION,c)};function g(){try{return typeof window.localStorage=="object"}catch(e}}google.promos.spd=function(a,b,c){if(g())window.localStorage.setItem(b,c);else if(a)try{a.sc);a.save(a.id)}catch(d){google.ml(d,false,{cause:f})}};google.promos.gpd=                    
function(a,b){if(g())return window.localStorage.getItem(b);else if(a)try{a.load(a.id);return ab)}catch(c){google.ml(c,false,{cause:f})}return""};})()                                       
</script> <script>(function(){var sourceWebappPromoID=405001;var payloadType=4;google.promos.sPromoID,payloadType);})();</script> </span></div></div><span id=footer><center id=fctr><div st:10pt"><div id=fll style="margin:19px auto;text-align:center"><a href="/intl/fr/ads/">Solutions</a><a href="/services/">Solutions d'entreprise</a><a href="https://plus.google.com/106901486rel="publisher">Google+</a><a href="/intl/fr/about.html">� propos de Google</a><a href="http:/m/ncr" class="gl nobr">Google.com in English</a></div></div><p style="color:#767676;font-size:12 - <a href="/intl/fr/policies/">Confidentialit� et conditions d&#39;utilisation</a></p></cencenter><div id=xjsd></div><div id=xjsi><script>if(google.y)google.y.first=[];google.dlj=functietTimeout(function(){var a=document.createElement("script");a.src=b;document.getElementById("xild(a)},0)};                                                                                  
(function(){                                                                                  
var c,d,e=false;function f(b){var a={_sn:b?"FAILURE":"FALLBACK",_pu:c,_fu:d},h=google.ml(new Else,a,true);google.log(0,"",h)}function g(){if(!google.pml)f(true)}function i(b){var a=document("script");a.src=b;document.getElementById("xjsd").appendChild(a)}function j(){if(!e&&!google();i(d,g)}}google.dljp=                                                                       
function(b,a){c=b;d=a;window.setTimeout(function(){i(c,j)},0)};                               
})();                                                                                         
(function(){google.xjsol=function(a){if(google.sc&&(a=google.sc[a])){for(var b=0;b<a.cb.length;a.cb=[];a.lc=!0}};google.xjsl=function(a,b){var c=google.sc[a];c&&(c.dl?b&&b():(b&&c.cb.push(c.u),c.ls=!0,c.dl=!0))};google.register=google.register||function(a,b){google.y.first.push(fun.register(a,b)})};})();                                                                       
google.y.first=[];if(!google.xjs){google.dstr=[];google.rein=[];if(google.timers&&google.timerle.timers.load.t.xjsls=new Date().getTime();}google.dljp('/xjs/_/js/s/s,st,anim,bbd,sb_he,hv,s,rsn,ob,mb,lc,dict,du,ada,lu,pcc,csitl/rt\x3dj/ver\x3dKI_NwMRNE7E.en_US./d\x3d1/rs\x3dAItRSTP-81fOgxnNgdRQ','/xjs/_/js/s/s,st,anim,bbd,sb_he,hv,sk,pj,tbpr,tbui,rsn,ob,mb,lc,dict,du,ada,lu,3dj/ver\x3d3A5ec0VWlQg.en_US./d\x3d1/rs\x3dAItRSTOkxD6azlpQeW-WM9Q8qKgJ3cODsA');google.xjs=1}g{},263:{},60:{},81:{},10:{"client":"hp","dh":true,"ds":"","fl":true,"host":"google.fr","jsonp"e,"msgs":{"lcky":"J\u0026#39;ai de la chance","lml":"En savoir plus","psrc":"Cette suggestion prim�e de votre \u003Ca href=\"/history\"\u003Ehistorique Web\u003C/a\u003E.","psrl":"Supprimeherche Google"},"ovr":{"lm":1,"ms":1},"pq":"","rgen":true,"scd":10,"sce":5,"stok":"rCI5b5vaeJYOg"},152:{},65:{},213:{"pberr":"\u003Cfont color=red\u003EErreur :\u003C/font\u003E Le serveurner � terme votre requ�te.  R�essayez dans 30 secondes."},78:{},25:{"g":8,"k":false,"m":{"app"ue,"blg":true,"dsc":true,"evn":true,"fin":true,"flm":true,"frm":true,"isch":true,"klg":true,"m:true,"plcs":true,"ppl":true,"prc":true,"pts":true,"rcp":true,"shop":true,"vid":true},"t":null},22:{"db":false,"m_errors":{"32":"D�sol�, aucun autre r�sultat � afficher","default":"\u003Cfu003EErreur :\u003C/font\u003E Le serveur n'a pas pu mener � terme votre requ�te.  R�essayez ds."},"m_tip":"Cliquez ici pour plus d'informations.","nlpm":"-153px -84px","nlpp":"-153px -70p},77:{},126:{},146:{},144:{},84:{"tt_kft":true},24:{},38:{}};google.y.first.push(function(){ifoogle.med('init');google.initHistory();google.med('history');}google.History&&google.History.i});if(google.j&&google.j.en&&google.j.xi){window.setTimeout(google.j.xi,0);}</script></div><sc(){                                                                                           
var b,d,e,f;function g(a,c){if(a.removeEventListener){a.removeEventListener("load",c,false);a.tener("error",c,false)}else{a.detachEvent("onload",c);a.detachEvent("onerror",c)}}function h(a.getTime();++d;a=a||window.event;var c=a.target||a.srcElement;g(c,h)}var i=document.getElementg");b=i.length;d=0;for(var j=0,k;j<b;++j){k=i[j];if(k.complete||typeof k.src!="string"||!k.src.addEventListener){k.addEventListener("load",h,false);k.addEventListener("error",             
h,false)}else{k.attachEvent("onload",h);k.attachEvent("onerror",h)}}e=b-d;function l(){if(!good.t)return;google.timers.load.t.ol=(new Date).getTime();google.timers.load.t.iml=f;google.kCSIkCSI.imn=b;google.kCSI.imp=e;if(google.stt!==undefined)google.kCSI.stt=google.stt;google.timergoogle.report&&google.report(google.timers.load,google.kCSI)}if(window.addEventListener)windowner("load",                                                                                   
l,false);else if(window.attachEvent)window.attachEvent("onload",l);google.timers.load.t.prt=(ftTime());                                                                                     
})();                                                                                         
    [ <=>                                   ] 13 704      --.-K/s   ds 0,06s                  
                                                                                              
2012-05-08 17:21:14 (233 KB/s) - envoi sur stdout [13704]                                     
                                                                                              
YES                                                                                           
                                                                                              
hp-plugin[20268]: debug: wget returned: 0
Downloading configuration file from: http://hplip.sf.net/plugin.conf
hp-plugin[20268]: debug: --2012-05-08 17:21:14--  http://hplip.sf.net/plugin.con
Résolution de hplip.sf.net (hplip.sf.net)... 216.34.181.96                                    
Connexion vers hplip.sf.net (hplip.sf.net)|216.34.181.96|:80...connecté.                      
requête HTTP transmise, en attente de la réponse...302 Found                                  
Emplacement: http://hplip.sourceforge.net/plugin.conf [suivant]                               
--2012-05-08 17:21:14--  http://hplip.sourceforge.net/plugin.conf                             
Résolution de hplip.sourceforge.net (hplip.sourceforge.net)... 216.34.181.96                  
Réutilisation de la connexion existante vers hplip.sf.net:80.                                 
requête HTTP transmise, en attente de la réponse...200 OK                                     
Longueur: 9273 (9,1K) [text/plain]                                                            
Sauvegarde en : «/tmp/tmpoHclOX»                                                              
                                                                                              
100%[======================================>] 9 273       --.-K/s   ds 0,1s                   
                                                                                              
2012-05-08 17:21:14 (67,5 KB/s) - «/tmp/tmpoHclOX» sauvegardé [9273/9273]                     
                                                                                              
                                                                                              
hp-plugin[20268]: debug: path=http://www.openprinting.org/download/printdriver/auxfiles/HP/plu2.4-plugin.run, size=1805011, checksum=3b9e13f4f2dbcf5cd54461986d9c8011c4c8a611, timestamp=133, ok=True                                                                                     
Checking for network connection...
hp-plugin[20268]: debug: /usr/bin/wget --timeout=60 --output-document=- http://www
hp-plugin[20268]: debug: --2012-05-08 17:21:15--  http://www.google.c
Résolution de www.google.com (www.google.com)... 173.194.67.104, 173.194.67.147, 173.194.67.10
Connexion vers www.google.com (www.google.com)|173.194.67.104|:80...connecté.                 
requête HTTP transmise, en attente de la réponse...302 Found                                  
Emplacement: http://www.google.fr/ [suivant]                                                  
--2012-05-08 17:21:15--  http://www.google.fr/                                                
Résolution de www.google.fr (www.google.fr)... 173.194.66.94, 2a00:1450:4007:803::1017        
Connexion vers www.google.fr (www.google.fr)|173.194.66.94|:80...connecté.                    
requête HTTP transmise, en attente de la réponse...200 OK                                     
Longueur: non spécifié [text/html]                                                            
Sauvegarde en : «STDOUT»                                                                      
                                                                                              
    [<=>                                    ] 0           --.-K/s              <!doctype html>e itemtype="http://schema.org/WebPage"><head><meta http-equiv="content-type" content="text/htm-8859-1"><meta itemprop="image" content="/images/google_favicon_128.png"><title>Google</title>.google={kEI:"6zmpT6qKFsqW8APNueHFCA",getEI:function(a){var b;while(a&&!(a.getAttribute&&(b=a.eid"))))a=a.parentNode;return b||google.kEI},https:function(){return window.location.protocol=PI:"36683,37111,37808,37917,38099,38135,38285,38485,38524,38576,38643",kCSI:{e:"36683,37111,379,38135,38285,38485,38524,38576,38643",ei:"6zmpT6qKFsqW8APNueHFCA"},authuser:0,               
ml:function(){},kHL:"fr",time:function(){return(new Date).getTime()},log:function(a,b,c,e){var=google,i=h.lc,f=h.li,j="";d.onerror=(d.onload=(d.onabort=function(){delete i[f]}));i[f]=d;if(&ei=")==-1)j="&ei="+google.getEI(e);var g=c||"/gen_204?atyp=i&ct="+a+"&cad="+b+j+"&zx="+google
var k=/^http:/i;if(k.test(g)&&google.https()){google.ml(new Error("GLMM"),false,{src:g});deletd.src=g;h.li=f+1},lc:[],li:0,Toolbelt:{},y:{},x:function(a,b){google.y[a.id]=[a,b];return fals
window.google.sn="webhp";window.google.timers={};window.google.startTick=function(a,b){window.a]={t:{start:(new Date).getTime()},bfr:!(!b)}};window.google.tick=function(a,b,c){if(!window.g])google.startTick(a);window.google.timers[a].t[b]=c||(new Date).getTime()};google.startTick("y{}catch(u){}                                                                                 
var _gjwl=location;function _gjuc(){var e=_gjwl.href.indexOf("#");if(e>=0){var a=_gjwl.href.sua.indexOf("&q=")>0||a.indexOf("#q=")>=0){a=a.substring(1);if(a.indexOf("#")==-1){for(var c=0;cr d=c;if(a.charAt(d)=="&")++d;var b=a.indexOf("&",d);if(b==-1)b=a.length;var f=a.substring(d,b("fp=")==0){a=a.substring(0,c)+a.substring(b,a.length);b=c}else if(f=="cad=h")return 0;c=b}_gjch?"+a+"&cad=h";return 1}}}return 0}function _gjp(){!(window._gjwl.hash&&                     
window._gjuc())&&setTimeout(_gjp,500)};                                                       
window._gjp && _gjp()</script><style>#gbar,#guser{font-size:13px;padding-top:1px !important;}#px}#guser{padding-bottom:7px !important;text-align:right}.gbh,.gbd{border-top:1px solid #c9d7fx}.gbh{height:0;position:absolute;top:24px;width:100%}@media all{.gb1{height:22px;margin-right-align:top}#gbar{float:left}}a.gb1,a.gb4{text-decoration:underline !important}a.gb1,a.gb4{coloant}</style><style id=gstyle>body{margin:0;overflow-y:scroll}#gog{padding:3px 8px 0}td{line-he_m td{line-height:17px}form{margin-bottom:20px}body,td,a,p,.h{font-family:arial,sans-serif}.h{t-size:20px}.q{color:#00c}.ts td{padding:0}.ts{border-collapse:collapse}em{font-weight:bold;fol}.lst{height:25px;width:496px}.gsfi,.lst{font:18px arial,sans-serif}.gsfs{font:17px arial,sansplay:-moz-inline-box;display:inline-block;margin:3px 0 4px;margin-left:4px}input{font-family:a.gb2,a.gb3,a.gb4{color:#11c !important}body{background:#fff;color:black}a{color:#11c;text-dec:hover,a:active{text-decoration:underline}.fl a{color:#36c}a:visited{color:#551a8b}a.gb1,a.gb4on:underline}a.gb3:hover{text-decoration:none}#ghead a.gb2:hover{color:#fff!important}.sblc{pa.sblc a{display:block;margin:2px 0;margin-left:13px;font-size:11px;}.lsbb{background:#eee;bordorder-color:#ccc #999 #999 #ccc;height:30px;display:block}.ftl,#fll a{display:inline-block;marb{background:url(/images/srpr/nav_logo80.png) 0 -258px repeat-x;border:none;color:#000;cursor::30px;margin:0;outline:0;font:15px arial,sans-serif;vertical-align:top}.lsb:active{background:s{outline:none}#addlang a{padding:0 3px}.gac_v div{display:none}.gac_v .gac_v2,.gac_bt{displaynt}table.gssb_c{z-index:986  }.nbcl{background:url(/images/srpr/nav_logo80.png) no-repeat ;heix}</style><script>window.rwt=function(a,f,g,l,m,h,c,n,i){try{if(a===window){a=window.event.srca){if(a.href)break;a=a.parentNode}}var b=encodeURIComponent||escape,d;d=a.getAttribute("href")ring(0,6)!="&sig2=")c="&sig2="+c;var o=["/url?sa=t","","&cd=",b(m),i?"&authuser="+b(i):"",goog.pf?"&sqi=2":"","&ved=",b(n),"&url=",b(d).replace(/\+/g,"%2B"),"&ei=","6zmpT6qKFsqW8APNueHFCA"",c].join("");a.href=o;a.onmousedown=""}catch(p){}return true};                               
</script></head><body bgcolor=#ffffff text=#000000 link=#0000cc vlink=#551a8b alink=#ff0000 on.f&&document.f.q.focus();document.gbqf&&document.gbqf.q.focus();if(document.images)new Image()srpr/nav_logo80.png'" ><textarea id=csi style=display:none></textarea><div id=mngb><div id=gbass=gb1>Recherche</b> <a class=gb1 href="http://www.google.fr/imghp?hl=fr&tab=wi">Images</a> <af="http://video.google.fr/?hl=fr&tab=wv">Vid�os</a> <a class=gb1 href="http://maps.google.fr/mwl">Maps</a> <a class=gb1 href="http://news.google.fr/nwshp?hl=fr&tab=wn">Actualit�s</a> <a clhttp://www.google.fr/shopping?hl=fr&tab=wf">Shopping</a> <a class=gb1 href="https://mail.googlb=wm">Gmail</a> <a class=gb1 style="text-decoration:none" href="http://www.google.fr/intl/fr/ous</u> &raquo;</a></nobr></div><div id=guser width=100%><nobr><span id=gbn class=gbi></span><sss=gbf></span><span id=gbe><a  href="/url?sa=p&pref=ig&pval=3&q=http://www.google.fr/ig%3Fhl%3Diglk&usg=AFQjCNG3dQ3pMQCxA1EqhLnWIuH8E97qKg" class=gb4>iGoogle</a> | </span><a href="http://wistory/optout?hl=fr" class=gb4>Historique Web</a> | <a  href="/preferences?hl=fr" class=gb4>Pa <a target=_top id=gb_70 href="https://accounts.google.com/ServiceLogin?hl=fr&                
hp-plugin[20268]: debug: =http://www.google.fr/" class=gb4>Connexion</a></nobr></div><div clasft:0></div><div class=gbh style=right:0></div></div><center><br clear=all id=lgpd><div id=lga>dding:28px 0 3px"><div align=left style="background:url(/images/srpr/logo1w.png) no-repeat;heih:276px" title="Google" id=hplogo onload="window.lol&&lol()"><div nowrap style="color:#777;fonnt-weight:bold;left:214px;position:relative;top:70px">France</div></div></div><br></div><form h" name=f><table cellpadding=0 cellspacing=0><tr valign=top><td width=25%>&nbsp;</td><td align><input name=hl type=hidden value=fr><input name=source type=hidden value=hp><input type=hiddee="ISO-8859-1"><div class=ds style="height:32px;margin:4px 0"><input autocomplete=off maxlengtclass="lst" title="Recherche Google" value="" size=57 style="color:#000;margin:0;padding:5px 8cal-align:top"></div><br style="line-height:0"><span class=ds ><span class=lsbb><input name=bt value="Recherche Google" class=lsb></span></span><span class=ds><span class=lsbb><input name=it class=lsb value="J&#39;ai de la chance"></span></span></td><td nowrap width=25% align=left "><a href="/advanced_search?hl=fr">Recherche avanc�e</a><a href="/language_tools?hl=fr">Outils</a></td></tr></table><input type=hidden id=gbv name=gbv value="1"></form><div style="font-sizht:3.5em"><br><div id=prm><span> <p> <img title="Comm�moration du 8 mai 1945" alt="Comm�morati45" src="http://www.google.com/images/icons/hpcg/cornflower-bluepurple_42.png" width="42px" he</p> <br/> <br/> <br/> <script type="text/javascript">(function(){var f="PERSIST_DATA_FAIL";ifs)google.promos={};google.promos.ActionType={ACCEPT:"a",CANCEL:"c",DISMISS:"d",CLICK:"h",IMPREHANKS:"n",X_BUTTON:"x",MGMHP_ACCEPT:"ma",MGMHP_CANCEL:"mc",MGMHP_IMPRESSION:"mi",MGMHPPD_ACCEP_CANCEL:"pc",MGMHPPD_IMPRESSION:"pi",MGMHPPD_NO_THANKS:"pn",MGMHPPD_NO_BUTTON:"px",MGMHPPD_DISDOWN_ACCEPT:"gpa",PUSHDOWN_IMPRESSION:"gpi",PUSHDOWN_NO_THANKS:"gpn",PUSHDOWN_NO_BUTTON:"gpx",SS:"gpd"};google.promos.sl=                                                                   
function(a,b,c,d){var e=[c,"id="+a,"loc="+google.sn];e.push("oi=promoslinger");if(d)e.push(d);.join("&"))};google.promos.si=function(a,b,c,d){if(Math.random()<0.01)google.promos.sl(a,b,d?d.ActionType.IMPRESSION,c)};function g(){try{return typeof window.localStorage=="object"}catch(e}}google.promos.spd=function(a,b,c){if(g())window.localStorage.setItem(b,c);else if(a)try{a.sc);a.save(a.id)}catch(d){google.ml(d,false,{cause:f})}};google.promos.gpd=                    
function(a,b){if(g())return window.localStorage.getItem(b);else if(a)try{a.load(a.id);return ab)}catch(c){google.ml(c,false,{cause:f})}return""};})()                                       
</script> <script>(function(){var sourceWebappPromoID=405001;var payloadType=4;google.promos.sPromoID,payloadType);})();</script> </span></div></div><span id=footer><center id=fctr><div st:10pt"><div id=fll style="margin:19px auto;text-align:center"><a href="/intl/fr/ads/">Solutions</a><a href="/services/">Solutions d'entreprise</a><a href="https://plus.google.com/106901486rel="publisher">Google+</a><a href="/intl/fr/about.html">� propos de Google</a><a href="http:/m/ncr" class="gl nobr">Google.com in English</a></div></div><p style="color:#767676;font-size:12 - <a href="/intl/fr/policies/">Confidentialit� et conditions d&#39;utilisation</a></p></cencenter><div id=xjsd></div><div id=xjsi><script>if(google.y)google.y.first=[];google.dlj=functietTimeout(function(){var a=document.createElement("script");a.src=b;document.getElementById("xild(a)},0)};                                                                                  
(function(){                                                                                  
var c,d,e=false;function f(b){var a={_sn:b?"FAILURE":"FALLBACK",_pu:c,_fu:d},h=google.ml(new Else,a,true);google.log(0,"",h)}function g(){if(!google.pml)f(true)}function i(b){var a=document("script");a.src=b;document.getElementById("xjsd").appendChild(a)}function j(){if(!e&&!google();i(d,g)}}google.dljp=                                                                       
function(b,a){c=b;d=a;window.setTimeout(function(){i(c,j)},0)};                               
})();                                                                                         
(function(){google.xjsol=function(a){if(google.sc&&(a=google.sc[a])){for(var b=0;b<a.cb.length;a.cb=[];a.lc=!0}};google.xjsl=function(a,b){var c=google.sc[a];c&&(c.dl?b&&b():(b&&c.cb.push(c.u),c.ls=!0,c.dl=!0))};google.register=google.register||function(a,b){google.y.first.push(fun.register(a,b)})};})();                                                                       
google.y.first=[];if(!google.xjs){google.dstr=[];google.rein=[];if(google.timers&&google.timerle.timers.load.t.xjsls=new Date().getTime();}google.dljp('/xjs/_/js/s/s,st,anim,bbd,sb_he,hv,s,rsn,ob,mb,lc,dict,du,ada,lu,pcc,csitl/rt\x3dj/ver\x3dKI_NwMRNE7E.en_US./d\x3d1/rs\x3dAItRSTP-81fOgxnNgdRQ','/xjs/_/js/s/s,st,anim,bbd,sb_he,hv,sk,pj,tbpr,tbui,rsn,ob,mb,lc,dict,du,ada,lu,3dj/ver\x3d3A5ec0VWlQg.en_US./d\x3d1/rs\x3dAItRSTOkxD6azlpQeW-WM9Q8qKgJ3cODsA');google.xjs=1}g{},263:{},60:{},81:{},10:{"client":"hp","dh":true,"ds":"","fl":true,"host":"google.fr","jsonp"e,"msgs":{"lcky":"J\u0026#39;ai de la chance","lml":"En savoir plus","psrc":"Cette suggestion prim�e de votre \u003Ca href=\"/history\"\u003Ehistorique Web\u003C/a\u003E.","psrl":"Supprimeherche Google"},"ovr":{"lm":1,"ms":1},"pq":"","rgen":true,"scd":10,"sce":5,"stok":"rCI5b5vaeJYOg"},152:{},65:{},213:{"pberr":"\u003Cfont color=red\u003EErreur :\u003C/font\u003E Le serveurner � terme votre requ�te.  R�essayez dans 30 secondes."},78:{},25:{"g":8,"k":false,"m":{"app"ue,"blg":true,"dsc":true,"evn":true,"fin":true,"flm":true,"frm":true,"isch":true,"klg":true,"m:true,"plcs":true,"ppl":true,"prc":true,"pts":true,"rcp":true,"shop":true,"vid":true},"t":null},22:{"db":false,"m_errors":{"32":"D�sol�, aucun autre r�sultat � afficher","default":"\u003Cfu003EErreur :\u003C/font\u003E Le serveur n'a pas pu mener � terme votre requ�te.  R�essayez ds."},"m_tip":"Cliquez ici pour plus d'informations.","nlpm":"-153px -84px","nlpp":"-153px -70p},77:{},126:{},146:{},144:{},84:{"tt_kft":true},24:{},38:{}};google.y.first.push(function(){ifoogle.med('init');google.initHistory();google.med('history');}google.History&&google.History.i});if(google.j&&google.j.en&&google.j.xi){window.setTimeout(google.j.xi,0);}</script></div><sc(){                                                                                           
var b,d,e,f;function g(a,c){if(a.removeEventListener){a.removeEventListener("load",c,false);a.tener("error",c,false)}else{a.detachEvent("onload",c);a.detachEvent("onerror",c)}}function h(a.getTime();++d;a=a||window.event;var c=a.target||a.srcElement;g(c,h)}var i=document.getElementg");b=i.length;d=0;for(var j=0,k;j<b;++j){k=i[j];if(k.complete||typeof k.src!="string"||!k.src.addEventListener){k.addEventListener("load",h,false);k.addEventListener("error",             
h,false)}else{k.attachEvent("onload",h);k.attachEvent("onerror",h)}}e=b-d;function l(){if(!good.t)return;google.timers.load.t.ol=(new Date).getTime();google.timers.load.t.iml=f;google.kCSIkCSI.imn=b;google.kCSI.imp=e;if(google.stt!==undefined)google.kCSI.stt=google.stt;google.timergoogle.report&&google.report(google.timers.load,google.kCSI)}if(window.addEventListener)windowner("load",                                                                                   
l,false);else if(window.attachEvent)window.attachEvent("onload",l);google.timers.load.t.prt=(ftTime());                                                                                     
})();                                                                                         
    [ <=>                                   ] 13 734      --.-K/s   ds 0,06s                  
                                                                                              
2012-05-08 17:21:15 (221 KB/s) - envoi sur stdout [13734]                                     
                                                                                              
YES                                                                                           
                                                                                              
hp-plugin[20268]: debug: wget returned: 0
Downloading plug-in from: http://www.openprinting.org/download/printdriver/auxfiles/HP/pluginsplugin.run
hp-plugin[20268]: debug: Downloading 3.12.4 plug-in file from 'http://www.openprinting.org/dowver/auxfiles/HP/plugins/hplip-3.12.4-plugin.run' to '/tmp'...                                 
hp-plugin[20268]: debug: /usr/bin/wget --cache=off -P /tmp http://www.openprinting.org/downloaauxfiles/HP/plugins/hplip-3.12.4-plugin.run                                                   
hp-plugin[20268]: debug: --2012-05-08 17:21:15--  http://www.openprinting.org/download/printdrHP/plugins/hplip-3.12.4-plugin.run                                                            
Résolution de www.openprinting.org (www.openprinting.org)... 140.211.169.16                   
Connexion vers www.openprinting.org (www.openprinting.org)|140.211.169.16|:80...connecté.     
requête HTTP transmise, en attente de la réponse...200 OK                                     
Longueur: 1805011 (1,7M) [text/plain]                                                         
Sauvegarde en : «/tmp/hplip-3.12.4-plugin.run»    
hp-plugin[20268]: debug: wget returned: 0
hp-plugin[20268]: debug: File error page score: 0.000000
hp-plugin[20268]: debug: D/L file checksum=3b9e13f4f2dbcf5cd54461986d9c8011c4c8a61
hp-plugin[20268]: debug: Downloading 3.12.4 plug-in digital signature file from 'http://www.op/download/printdriver/auxfiles/HP/plugins/hplip-3.12.4-plugin.run.asc' to '/tmp/hplip-3.12.4-p...                                                                                           
hp-plugin[20268]: debug: /usr/bin/wget --cache=off -P /tmp http://www.openprinting.org/downloaauxfiles/HP/plugins/hplip-3.12.4-plugin.run.asc                                               
hp-plugin[20268]: debug: --2012-05-08 17:26:38--  http://www.openprinting.org/download/printdrHP/plugins/hplip-3.12.4-plugin.run.asc                                                        
Résolution de www.openprinting.org (www.openprinting.org)... 140.211.169.16                   
Connexion vers www.openprinting.org (www.openprinting.org)|140.211.169.16|:80...connecté.     
requête HTTP transmise, en attente de la réponse...200 OK                                     
Longueur: 197 [text/plain]                                                                    
Sauvegarde en : «/tmp/hplip-3.12.4-plugin.run.asc»                                            
                                                                                              
100%[======================================>] 197         --.-K/s   ds 0s                     
                                                                                              
2012-05-08 17:26:39 (13,0 MB/s) - «/tmp/hplip-3.12.4-plugin.run.asc» sauvegardé [197/197]     
                                                                                              
                                                                                              
hp-plugin[20268]: debug: File error page score: 0.000000
Receiving digital keys: /usr/bin/gpg --no-permission-warning --keyserver pgp.mit.edu --recv-ke
hp-plugin[20268]: debug: gpg: le porte-clés `/root/.gnupg/secring.gpg` a été cré
gpg: le porte-clés `/root/.gnupg/pubring.gpg` a été créé                                                    
gpg: requête de la clé A59047B9 du serveur hkp pgp.mit.edu                                                  
gpg: /root/.gnupg/trustdb.gpg: base de confiance créée                                                      
gpg: clé A59047B9: clé publique « HPLIP (HP Linux Imaging and Printing) <hplip@hp.com> » importée           
gpg: aucune clé de confiance ultime n'a été trouvée                                                         
gpg:        Quantité totale traitée: 1                                                                      
gpg:                       importée: 1                                                                      
                                                                                                            
hp-plugin[20268]: debug: gpg: le porte-clés `/root/.gnupg/secring.gpg` a été cré
gpg: le porte-clés `/root/.gnupg/pubring.gpg` a été créé                                                    
gpg: requête de la clé A59047B9 du serveur hkp pgp.mit.edu                                                  
gpg: /root/.gnupg/trustdb.gpg: base de confiance créée                                                      
gpg: clé A59047B9: clé publique « HPLIP (HP Linux Imaging and Printing) <hplip@hp.com> » importée           
gpg: aucune clé de confiance ultime n'a été trouvée                                                         
gpg:        Quantité totale traitée: 1                                                                      
gpg:                       importée: 1                                                                      
                                                                                                            
hp-plugin[20268]: debug: Verifying plugin with digital keys: /usr/bin/gpg --no-permission-warning --verify /tmp/hplip-3.12.4-plugin.run.asc /tmp/hplip-3.12.4-plugin.run                                                
hp-plugin[20268]: debug: gpg: Signature faite le mar. 10 avril 2012 10:46:28 CEST avec la clé DSA ID A59047B9                                                                                                           
gpg: Bonne signature de « HPLIP (HP Linux Imaging and Printing) <hplip@hp.com> »                            
gpg: ATTENTION: Cette clé n'est pas certifiée avec une signature de confiance !                             
gpg:            Rien ne dit que la signature appartient à son propriétaire.                                 
Empreinte de clé principale: 4ABA 2F66 DBD5 A958 9491  0E06 73D7 70CD A590 47B9                             
                                                                                                            
hp-plugin[20268]: debug: gpg: Signature faite le mar. 10 avril 2012 10:46:28 CEST avec la clé DSA ID A59047B9                                                                                                           
gpg: Bonne signature de « HPLIP (HP Linux Imaging and Printing) <hplip@hp.com> »                            
gpg: ATTENTION: Cette clé n'est pas certifiée avec une signature de confiance !                             
gpg:            Rien ne dit que la signature appartient à son propriétaire.                                 
Empreinte de clé principale: 4ABA 2F66 DBD5 A958 9491  0E06 73D7 70CD A590 47B9                             

hp-plugin[20268]: debug: /usr/bin/gpg status: 0
Verifying archive integrity... All good.
Uncompressing HPLIP 3.12.4 Plugin Self Extracting Archive.........................................

HP Linux Imaging and Printing System (ver. 3.12.4)
Plugin Installer ver. 3.0

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Plug-in version: 3.12.4
Installed HPLIP version: 3.12.4
Number of files to install: 36

 
Done.
hp-plugin[20268]: debug: hp:/usb/HP_LaserJet_Professional_M1132_MFP?serial=000000000QH4RR02SI1c: back_end:hp is_hp:True bus:usb model:HP_LaserJet_Professional_M1132_MFP serial:000000000QH4RR02SI1c dev_file: host: zc: port:1
hp-plugin[20268]: debug: Cache miss: hp_laserjet_professional_m1132_mfp
hp-plugin[20268]: debug: Reading file: /usr/share/hplip/data/models/models.dat
hp-plugin[20268]: debug: Searching for section [hp_laserjet_professional_m1132_mfp] in file /usr/share/hplip/data/models/models.dat
hp-plugin[20268]: debug: Found section [hp_laserjet_professional_m1132_mfp] in file /usr/share/hplip/data/models/models.dat
hp-plugin[20268]: debug: hp:/usb/HP_LaserJet_Professional_M1132_MFP?serial=000000000QH4RR02SI1c: back_end:hp is_hp:True bus:usb model:HP_LaserJet_Professional_M1132_MFP serial:000000000QH4RR02SI1c dev_file: host: zc: port:1
 Plug-in installation successful. 

Done.
hp-plugin[20268]: debug: Unlocking: /var/hp-plugin.lock
[root@Portable test]#  

Then I first checked xsane. The scanner is detected and xsane run perfectly.
Second checking the printer function. As expected the printer is detected, bu unable to print. The print page seems detected (light on the printer) but no print at all. I collected the debug message: 
D [08/May/2012:18:39:33 +0200] Get-Jobs ipp://localhost/printers/
D [08/May/2012:18:39:33 +0200] [Job 50] Loading attributes...
D [08/May/2012:18:39:33 +0200] Returning IPP successful-ok for Get-Jobs (ipp://localhost/printers/) from localhost
D [08/May/2012:18:39:33 +0200] cupsdSetBusyState: newbusy="Dirty files", busy="Active clients and dirty files"
D [08/May/2012:18:39:33 +0200] cupsdReadClient: 15 POST / HTTP/1.1
D [08/May/2012:18:39:33 +0200] cupsdSetBusyState: newbusy="Active clients and dirty files", busy="Dirty files"
D [08/May/2012:18:39:33 +0200] cupsdAuthorize: No authentication data provided.
D [08/May/2012:18:39:33 +0200] cupsdReadClient: 15 1.1 Get-Jobs 1
D [08/May/2012:18:39:33 +0200] Get-Jobs ipp://localhost/printers/
D [08/May/2012:18:39:33 +0200] [Job 49] Loading attributes...
D [08/May/2012:18:39:33 +0200] Returning IPP successful-ok for Get-Jobs (ipp://localhost/printers/) from localhost
D [08/May/2012:18:39:33 +0200] cupsdSetBusyState: newbusy="Dirty files", busy="Active clients and dirty files"
D [08/May/2012:18:39:33 +0200] cupsdReadClient: 15 GET /admin/conf/cupsd.conf HTTP/1.1
D [08/May/2012:18:39:33 +0200] cupsdSetBusyState: newbusy="Active clients and dirty files", busy="Dirty files"
D [08/May/2012:18:39:33 +0200] cupsdAuthorize: No authentication data provided.
D [08/May/2012:18:39:33 +0200] cupsdIsAuthorized: username=""
D [08/May/2012:18:39:33 +0200] cupsdSendHeader: 15 WWW-Authenticate: Basic realm="CUPS", trc="y"
D [08/May/2012:18:39:33 +0200] cupsdCloseClient: 15
D [08/May/2012:18:39:33 +0200] cupsdSetBusyState: newbusy="Dirty files", busy="Active clients and dirty files"
D [08/May/2012:18:39:33 +0200] cupsdAcceptClient: 15 from localhost (Domain)
D [08/May/2012:18:39:33 +0200] cupsdReadClient: 15 GET /admin/conf/cupsd.conf HTTP/1.1
D [08/May/2012:18:39:33 +0200] cupsdSetBusyState: newbusy="Active clients and dirty files", busy="Dirty files"
D [08/May/2012:18:39:33 +0200] cupsdAuthorize: Authorized as root using Basic
D [08/May/2012:18:39:33 +0200] cupsdIsAuthorized: username="root"
D [08/May/2012:18:39:33 +0200] cupsdSetBusyState: newbusy="Dirty files", busy="Active clients and dirty files"
D [08/May/2012:18:39:33 +0200] cupsdReadClient: 15 GET /admin/conf/cupsd.conf HTTP/1.1
D [08/May/2012:18:39:33 +0200] cupsdSetBusyState: newbusy="Active clients and dirty files", busy="Dirty files"
D [08/May/2012:18:39:33 +0200] cupsdAuthorize: Authorized as root using Basic
D [08/May/2012:18:39:33 +0200] cupsdIsAuthorized: username="root"
D [08/May/2012:18:39:33 +0200] cupsdSetBusyState: newbusy="Dirty files", busy="Active clients and dirty files"
D [08/May/2012:18:39:33 +0200] cupsdReadClient: 15 GET /admin/conf/cupsd.conf HTTP/1.1
D [08/May/2012:18:39:33 +0200] cupsdSetBusyState: newbusy="Active clients and dirty files", busy="Dirty files"
D [08/May/2012:18:39:33 +0200] cupsdAuthorize: Authorized as root using Basic
D [08/May/2012:18:39:33 +0200] cupsdIsAuthorized: username="root"
D [08/May/2012:18:39:33 +0200] cupsdSetBusyState: newbusy="Dirty files", busy="Active clients and dirty files"
D [08/May/2012:18:39:33 +0200] cupsdReadClient: 15 PUT /admin/conf/cupsd.conf HTTP/1.1
D [08/May/2012:18:39:33 +0200] cupsdSetBusyState: newbusy="Active clients and dirty files", busy="Dirty files"
D [08/May/2012:18:39:33 +0200] cupsdAuthorize: Authorized as root using Basic
D [08/May/2012:18:39:33 +0200] cupsdIsAuthorized: username="root"
I [08/May/2012:18:39:33 +0200] Installing config file "/etc/cups/cupsd.conf"...
D [08/May/2012:18:39:34 +0200] cupsdSetBusyState: newbusy="Dirty files", busy="Active clients and dirty files"
D [08/May/2012:18:39:34 +0200] cupsdCloseClient: 15
D [08/May/2012:18:39:34 +0200] cupsdSetBusyState: newbusy="Dirty files", busy="Dirty files"
D [08/May/2012:18:39:34 +0200] cupsdDeregisterPrinter(p=0xb8176d38(HP-LaserJet-Professional-M1132-MFP), removeit=1)
D [08/May/2012:18:39:34 +0200] cupsdNetIFUpdate: "lo" = localhost:631
D [08/May/2012:18:39:34 +0200] cupsdNetIFUpdate: "lo" = localhost:631
I [08/May/2012:18:39:34 +0200] Generating printcap /etc/printcap...
D [08/May/2012:18:39:34 +0200] cupsdSetBusyState: newbusy="Not busy", busy="Dirty files"
W [08/May/2012:18:39:34 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'HP-LaserJet-Professional-M1132-MFP-Gray..' already exists
W [08/May/2012:18:39:34 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'HP-LaserJet-Professional-M1132-MFP-RGB..' already exists
W [08/May/2012:18:39:34 +0200] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-HP-LaserJet-Professional-M1132-MFP' already exists
E [08/May/2012:18:39:34 +0200] Failed to update TXT record for Hewlett-Packard HP LaserJet Professional M1132 MFP @ Portable: -2   

If neccesary i will be able to do more test in a few days.
Sincerely

SM
Comment 5 Florian Hubold 2012-05-09 19:01:00 CEST
Please leave out that last part about printing, that should be tracked later on, this bug is primarily about the plugin installation with hplip.

Also you forgot to run with the -g option when you ran it as user, so we don't know now why it failed there. Please try again, at best with a fresh installation as user:

LC_ALL=C hp-plugin -g

The LC_ALL=C makes all the output come out in english, as some of the french error messages are that easy to understand without translating them completely, which means a lot of work, and unfortunately i'm currently already short on spare time.
Comment 6 Serge Moreau 2012-05-11 12:20:33 CEST
Created attachment 2264 [details]
Test as a normal user
Comment 7 Serge Moreau 2012-05-11 12:21:45 CEST
Created attachment 2265 [details]
Test as a superuser
Comment 8 Serge Moreau 2012-05-11 12:22:49 CEST
So Florian here are the last news

First i did a fresh install from the DVD RC. I updated with HPLIP  3.12.4
I created a new user (test)
 Printer installation was done from this user. All necessary rpm were installed.
Then using a terminal I checked as asked  : hp-plugin -g first as a user then as root.
As normal user the plugin installation failed. As previously mentionned as root, plugin installation was indicated as successful.
Both messages are shown below.
At the end I tried some experiment.
First sacnner device is detected and functionnal.

I then tried to print a file first as normal user, after having switch of and on the printer. printer failed and as was asked to install the plugin !
Printing a file as root failed also.
Is the plugin rellay install ?

Below the message from the terminal :
Comment 9 Florian Hubold 2012-05-14 22:42:02 CEST
(In reply to comment #8)
> I then tried to print a file first as normal user, after having switch of and
> on the printer. printer failed and as was asked to install the plugin !
> Printing a file as root failed also.
> Is the plugin rellay install ?

Well, i can't really tell, as already told i've got no access to a machine and printer where i could take a look myself.

How do you print something as root, FWIW?

Also the debug output isn't very verbose, for normal user the log only shows:

error: Plug-in install failed.

but no real error message ...
Comment 10 Serge Moreau 2012-05-15 07:27:49 CEST
(In reply to comment #9)

> 
> Well, i can't really tell, as already told i've got no access to a machine and
> printer where i could take a look myself.
> 
> How do you print something as root, FWIW?

i open a txt file as root and print it. perhaps this is not efficient, I am far from being an expert in that field.

Following HPLIP compilation it was proposed to do some post installation process as indicated in this link. Do I have do to something like that ?

http://hplipopensource.com/hplip-web/install/manual/distros/mandriva.html

I have download separately the expected plugin. I will add it as attachment.

Serge Moreau
Comment 11 Serge Moreau 2012-05-15 07:37:06 CEST
Too big for attachment.
Here is the link :
http://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/
Comment 12 Florian Hubold 2012-06-03 20:48:06 CEST
FWIW, for another user the plugin installation works fine as root:
https://forums.mageia.org/en/viewtopic.php?f=7&t=2677
Comment 13 Serge Moreau 2012-06-03 21:27:13 CEST
Ok, I will try again, but when I tried as root the plugin installation was also successful. The scanner was ok, but I was unable to print any file either as user or root.
Comment 14 Serge Moreau 2012-07-21 19:27:02 CEST
My last attempt.
I performed a new installation of MGA2 on my friend desktop. Formating the root (/) and leaving /home intact.
All the installation process was OK.I then updated all packages (20/07/12)
For the printer :
First mcc using the printer configuration tool. All packages were download and installed. After this the printer was correctly detected as  HP 1132 MFP. Neither the scanner nor the printer works after this step, which was expected since the system config printer asked for a proprietary driver for MFP1132.

Second as root in a console i did hp-sepup -i.
Then the plugin was downloaded and installed successfully as indicated at the end of the process.
Then I checked for the scanner using xsane. All was ok, the scanner was detected and I can scan colour documents.
For the printer all attempts to print document from any application failed. I just observed a light blinking and then the printer was deactivated.
So as a work around for the printer in the configuration tool I choose Laser HP 1005 as printer which use foo2xqx as driver.
Then the print function of MFP1132 is OK as well as the scanner.
I do not known what to do, but it seems that the driver plugin is correctly installed, but may be that a link between some configuration files or directory are missing ?

sorry I do as my best.

SM
Marja Van Waes 2012-09-06 08:58:33 CEST

CC: (none) => marja11
Version: 1 => 2
Whiteboard: (none) => MGA1TOO

Comment 15 Marcello Anni 2012-09-06 11:55:22 CEST
*** Bug 7366 has been marked as a duplicate of this bug. ***

CC: (none) => marcello.anni

Comment 16 Marcello Anni 2012-09-06 11:57:46 CEST
could it be a problem of permissions (group of something else)? is it possible to give the user the rights to download that firmware (or to download it somewhere else)? thanks
Comment 17 Brett Ginsburg 2012-09-17 23:28:57 CEST
Added Bug 7506 before Doktor5000 alterted me to this one.

I can run hp-plugin as root and the plugin installs with no errors.

If I run hp-setup, the printer is found and identified correctly, then hp-plugin runs, and I get a report of successful installation, but in debug mode I see this error:

hp-setup[24262]: debug: Unable to open file /var/lib/hp/hplip.state for reading.
hp-setup[24262]: debug: Plugin is not installed
error:  The printer you are trying to setup requires a binary driver plug-in and it failed to install.  Please check your internet connection and try again.  Visit  http://hplipopensource.com  for more infomation.

/var/lib/hp does not exist.

CC: (none) => zekeb

Comment 18 Brett Ginsburg 2012-09-17 23:35:08 CEST
Solved by creating /var/lib/hp as root.
Comment 19 Marcello Anni 2012-09-18 17:52:39 CEST
Created attachment 2815 [details]
Printing debug

Nothing changed. i've used the debug option and i've attached the output. hope it can be useful
Comment 20 Florian Hubold 2012-09-19 21:09:46 CEST
(In reply to comment #18)
> Solved by creating /var/lib/hp as root.

Thanks for the hint, i guess you wrote https://forums.mageia.org/en/viewtopic.php?p=25913#p25913 ?

Will take a look with next update, when i finally find some time :/

Keywords: (none) => PATCH

Comment 21 Florian Hubold 2012-09-19 21:11:03 CEST
*** Bug 7506 has been marked as a duplicate of this bug. ***
Comment 22 Florian Hubold 2012-09-19 21:33:44 CEST
FWIW, seems i accidentally broke this myself when disabling the inbuilt upgrade functionality which comes with hplip since some time:
http://svnweb.mageia.org/packages/cauldron/hplip/current/SPECS/hplip.spec?r1=228566&r2=234171

sorry a million times ...
:/

Already fixed locally, and updating it to 3.12.6 and then to 3.12.9 afterwards ...
Comment 23 Florian Hubold 2012-09-20 21:13:33 CEST
Closing, new 3.12.9 was just uploaded. Please reopen if the issue persists on a fresh install.

Status: ASSIGNED => RESOLVED
Resolution: (none) => FIXED

Comment 24 Marcello Anni 2012-09-21 14:26:35 CEST
has effectively been uploaded the 3.12.9 version? i still have the .4 version on my system and i have no update for hplip so far. thank you
Comment 25 Serge Moreau 2012-09-24 16:11:20 CEST
So a good news, where can I find the update hplip pacakage for MGA2 ? I only find the one for MGA3
Comment 26 Florian Hubold 2012-09-26 22:40:06 CEST
Whoops, sorry, was only commited for mga3. Will try to do it this weekend for the rest too ...

Status: RESOLVED => REOPENED
Resolution: FIXED => (none)

Comment 27 Florian Hubold 2012-10-03 11:05:28 CEST
There is now hplip-3.12.4-1.1.mga2 in core/updates_testing to validate
-------------------------------------------------------


Suggested advisory:
-------------------
This update addresses the following issue:

- Some HP printers / multi-function devices require plugins additionally to hplip to function correctly. This update makes the installation of such plugins possible again.

-------------------------------------------------------
Steps to reproduce:

- install/update to update candidate
- run hp-plugin if you have a printer / MFC device which requires such plugin and check if hp-plugin installation is successful

Keywords: PATCH => (none)
Status: REOPENED => ASSIGNED
Hardware: i586 => All
Assignee: doktor5000 => qa-bugs

Comment 28 user7 2012-10-03 23:03:31 CEST
Dear Brett, Marcello, Serge: as this requires an HP printer to test (according to Florian's comment), this could prove a bit hard for QA to test. So your help would be appreciated even more in this case than usually. :)

So if you have a bit of time, please follow the procedure described here: https://wiki.mageia.org/en/QA_process_for_validating_updates and report back your results.

If you need help, please don't hesitate to ask on the #mageia-qa IRC channel on freenode or here. Thanks a lot in advance!

CC: (none) => wassi

Comment 29 Brett Ginsburg 2012-10-04 00:04:58 CEST
Hmmm, I enabled core/updates_testing and core/updates_testing_debug in the Media Manager, but I don't see the new package.  I am on a x86_64 machine FWIW.
Comment 30 user7 2012-10-04 01:30:19 CEST
Please disable core/updates_testing_debug again, it is not needed for this and might cause wrong results. The reason the package is not showing up is probably that you have to update your media, you can do this in rpmdrake (Options -> Media Manager -> make sure core/updates_testing is enabled -> File -> Update (might be named a bit different, not using English locale here) -> Select All -> Update)

If it is still not showing up, make sure you don't have it installed already. Use the command rpm -qi hplip to find out which version you have installed.

If none of the above helps, your mirror may not be up to date. In this case, trying again tomorrow is the easiest way to "solve" this.

I hope this helps, please don't hesitate to ask if further questions arise. Thank you very much for your help!
Comment 31 Brett Ginsburg 2012-10-04 01:57:03 CEST
Should I delete (or rename) /var/lib/hp first?
Comment 32 Brett Ginsburg 2012-10-04 02:01:00 CEST
OK, I did what you suggested, and it updated the sources, but the only hplip I see is the installed version 3.12.4.  (View and filter are both set to all).
Comment 33 user7 2012-10-04 02:34:50 CEST
Yes, pleaso undo any workarounds you applied yourself before testing. In your case this means deleting /var/lib/hp. It is important that you can reproduce the bug before updating. Also, you should be able to verify that the update fixes the bug - this means not changing anything after confirming the bug, except for updating the package and testing it.

The package is definitely in core/updates_testing (version: 3.12.4-1.1.mga2 as opposed to 3.12.4-1.mga2), I checked before already. Did you check the exact version? (you can see this in rpmdrake, by selecting a package, then expand "Details")
A simpler way to check is to enable core/updates_testing, updating the media (again, can't harm :), then selecting "only updates" in the package filter and search for "hplip" in the search box. If something shows up, this is the package you are looking for (otherwise the list would be empty).

If this does not work, your mirror is probably outdated. In this case, it would be great if you could try again tomorrow.
Thanks again!
Comment 34 Dave Hodgins 2012-10-06 03:14:31 CEST
Should the hplip package require the hplip-gui package?  I had to
install it manually, to be able to run the hp-plugin program.

CC: (none) => davidwhodgins

Comment 35 Florian Hubold 2012-10-06 08:38:50 CEST
Well, normally you don't install it on your own, it's installed by system-config-printer via a meta package, f.ex. task-printing-scanning and task-printing-hp each require hplip-gui.
Comment 36 David GEIGER 2012-10-07 16:53:34 CEST
Testing complete for hplip-3.12.4-1.1.mga2 on Mageia release 2 (Official) for x86_64 and with a HP Printer "HP Color LaserJet CM1015 MFP" ,for me it's Ok the plugin was successful installed.

------------------------------------------------------------------------
# hp-plugin

HP Linux Imaging and Printing System (ver. 3.12.4)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

/Checking for network connection...
Downloading configuration file from: http://hplip.sf.net/plugin.conf
Checking for network connection...
Downloading plug-in from: http://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/hplip-3.12.4-plugin.run
Receiving digital keys: /usr/bin/gpg --no-permission-warning --keyserver pgp.mit.edu --recv-keys 0xA59047B9
Verifying archive integrity... All good.
Uncompressing HPLIP 3.12.4 Plugin Self Extracting Archive.........................................

HP Linux Imaging and Printing System (ver. 3.12.4)
Plugin Installer ver. 3.0

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Plug-in version: 3.12.4
Installed HPLIP version: 3.12.4
Number of files to install: 36


Done.
 Plug-in installation successful.

Done.
----------------------------------------------------------------------

CC: (none) => geiger.david68210

Comment 37 user7 2012-10-07 21:01:33 CEST
Thanks for testing David, I added the whiteboard keyword. Now we still need testing on MGA 2 i586 and MGA 1 i586 & x86_64.

Brett, Marcello, Serge: Any chance you can help out? Please don't hesitate to ask if you need help! Validating an update enables us to ship it to all users, so everyone benefits from the bugfix.

Whiteboard: MGA1TOO => MGA1TOO, MGA2-64-OK

Comment 38 Serge Moreau 2012-10-07 22:26:01 CEST
Yes I will have a look in a few days, I need to access to the printer which is locate at a friend apartment. Sorry for the delay.
SM
Comment 39 Marcello Anni 2012-10-08 13:03:59 CEST
both hp-setup and hp-plugin don't install the plugin on mageia 2 i586 (and hp laserjet 1018). before installing it, i've deleted the folder /var/lib/hp. the output doesn't say too much:

HP PLUGIN

Plug-in version: 3.12.4
Installed HPLIP version: 3.12.4
Number of files to install: 36

error: Plug-in install failed.

Done.


HP-SETUP


Searching... (bus=usb, search=(None), desc=0)
error:  The printer you are trying to setup requires a binary driver plug-in and it failed to install.  Please check your internet connection and try again.  Visit  http://hplipopensource.com  for more infomation. 

Done.


cheers,
Marcello
Comment 40 Florian Hubold 2012-10-08 19:22:55 CEST
(In reply to comment #39)
> both hp-setup and hp-plugin don't install the plugin on mageia 2 i586 (and hp
> laserjet 1018). before installing it, i've deleted the folder /var/lib/hp. 

Please show the output of rpm -qa | grep hplip

You have updated to the update candidate from updates_testing prior to testing, as you didn't explicitly write about that, so seems you still have the older version with the bug?

If it still doesn't work with the new version, please run hp-plugin in debug mode (with the -g option) as shown f.ex. in https://bugs.mageia.org/show_bug.cgi?id=7506#c1 and please attach the output here.
Comment 41 Florian Hubold 2012-10-08 19:26:48 CEST
FWIW, here's the output with old hplip package in interactive mode with debug information, where you can also choose a custom path for the plugin installation:


[doktor5000@Mageia2 ~]$ sudo hp-plugin -gi

HP Linux Imaging and Printing System (ver. 3.12.4)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

hp-plugin[7071]: debug: Locking: /var/hp-plugin.lock
(Note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.)

hp-plugin[7071]: debug: Unable to open file installer/distros.dat for reading.
hp-plugin[7071]: debug: []
hp-plugin[7071]: debug: Plug-in version=3.12.4
hp-plugin[7071]: debug: Plug-in=hplip-3.12.4-plugin.run

-----------------------------------------
| PLUG-IN INSTALLATION FOR HPLIP 3.12.4 |
-----------------------------------------

hp-plugin[7071]: debug: Unable to open file /var/lib/hp/hplip.state for reading.
hp-plugin[7071]: debug: Plugin is not installed
  Option      Description
  ----------  --------------------------------------------------
  d           Download plug-in from HP (recomended)
  p           Specify a path to the plug-in (advanced)
  q           Quit hp-plugin (skip installation)

Enter option (d=download*, p=specify path, q=quit) ?
Comment 42 Marcello Anni 2012-10-12 20:34:10 CEST
[marcello@localhost ~]$ rpm -qa | grep hplip
hplip-model-data-3.12.4-1.1.mga2
hplip-3.12.4-1.1.mga2
hplip-hpijs-ppds-3.12.4-1.1.mga2
hplip-gui-3.12.4-1.1.mga2
hplip-hpijs-3.12.4-1.1.mga2
[marcello@localhost ~]$

now i haven't the access to the printer, i can try it probably on 20th of october.
Comment 43 Serge Moreau 2012-10-16 16:36:49 CEST
so bad news again :
[serge@Portable ~]$ rpm -qa | grep hplip
hplip-hpijs-3.12.4-1.1.mga2
hplip-hpijs-ppds-3.12.4-1.1.mga2
hplip-gui-3.12.4-1.1.mga2
hplip-model-data-3.12.4-1.mga2
hplip-3.12.4-1.1.mga2
[serge@Portable ~]$

Then exactly the same behaviour as in post 14. 
I run :[serge@Portable ~]$ su 
Mot de passe :  [root@Portable serge]# hp-plugin -gi

I add the messages in attachement
Comment 44 Serge Moreau 2012-10-16 16:38:32 CEST
Created attachment 2953 [details]
[root@Portable serge]# hp-plugin -gi

the complete message got from hp-plugin -gi
Comment 45 Florian Hubold 2012-10-16 17:49:07 CEST
(In reply to comment #43)
 
> Then exactly the same behaviour as in post 14. 
> I run :[serge@Portable ~]$ su 
> Mot de passe :  [root@Portable serge]# hp-plugin -gi

As i don't understand all the french stuff, please try again with
LC_ALL=C hp-plugin -gi



Apart from that, it seems like a bad download:

gpg: MAUVAISE signature de « HPLIP (HP Linux Imaging and Printing) <hplip@hp.com> »  hp-plugin[2278]: debug: /usr/bin/gpg status: 1  error: Plug-in file does not match its digital signature. File may have been corrupted or altered. Error code: 1 hp-plugin[2278]: debug: Unlocking: /var/hp-plugin.lock

Nothing we can do about that.
Comment 46 Serge Moreau 2012-10-16 18:16:13 CEST
Ok florian, that's not impossible. In fact i did two attempts for the download, that may be due to a bad connection of my friend box. What i can do is to download first the two files, and then try to open them with the hp-setup. how to do this ?
I just collect from the HP server :
hplip 3.12.4.plugin.run and the corresponding asc file.
can I do this without a link to the printer ? so that i do an attempt at home. Or do I need it the printer connection and so have to go back to my friend machine ?
Many thanks for your interest.
Comment 47 Serge Moreau 2012-10-16 18:22:54 CEST
Just on my laptop which I used for the test.
Without the connection to the printer i run hp-plugin again, see the result :
[root@Portable HP]# LC_ALL=C hp-plugin -gi

HP Linux Imaging and Printing System (ver. 3.12.4)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

hp-plugin[7937]: debug: Locking: /var/hp-plugin.lock
(Note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.)

hp-plugin[7937]: debug: Unable to open file installer/distros.dat for reading.
hp-plugin[7937]: debug: []
hp-plugin[7937]: debug: Plug-in version=3.12.4
hp-plugin[7937]: debug: Plug-in=hplip-3.12.4-plugin.run

-----------------------------------------
| PLUG-IN INSTALLATION FOR HPLIP 3.12.4 |
-----------------------------------------

hp-plugin[7937]: debug: Plugin is installed
hp-plugin[7937]: debug: Scanner Plug-in file /usr/share/hplip/scan/plugins/bb_marvell.so status: 1
hp-plugin[7937]: debug: Scanner Plug-in file /usr/share/hplip/scan/plugins/bb_soapht.so status: 1
hp-plugin[7937]: debug: Scanner Plug-in file /usr/share/hplip/scan/plugins/bb_soap.so status: 1
hp-plugin[7937]: debug: Fax Plug-in file /usr/share/hplip/fax/plugins/fax_marvell.so status: 1
hp-plugin[7937]: debug: Printer Plug-in file /usr/share/hplip/prnt/plugins/lj.so status: 1
The driver plugin for HPLIP 3.12.4 appears to already be installed.
Do you wish to download and re-install the plug-in? (y=yes*, n=no, q=quit) ?
Comment 48 claire robinson 2012-11-02 20:02:44 CET
Serge, is this working for you now? If so can you say which arch (i586 or x86_86) you tested please. Also if possible, could you test on the other arch?

Thanks.
Comment 49 claire robinson 2012-11-02 20:07:55 CET
Is anybody able to test this on mga1?

This is difficult for QA to test as it requires specific hardware. 
It needs to be tested though on all releases/arch's before we can push it to updates.
Comment 50 Serge Moreau 2012-11-02 20:39:03 CET
(In reply to comment #48)
> Serge, is this working for you now? If so can you say which arch (i586 or
> x86_86) you tested please. Also if possible, could you test on the other arch?

Hello Claire,
Very sorry but the last HPLIP 3.12.4 is unable to resolve the problem. As explain in my first post I am not the owner of the machine, and thus I cant have a regular access to it. As I have found a workaround (for the printer part) , my friend is not asking me for more tries. As is clear from my last post (47), the binary plugins are installed on the machine. I can see them at :
/usr/share/hplip/prnt/plugins and /usr/share/hplip/scan/plugins

The binary from the scanner (bb_marvell.so) is OK aand the scanner is fully operational.
For the printer, I can see the binary plugin (lj.so) but the printer is not active.
There has been a discussion on this printer on the french forum. The installation was successful for Kubuntu but failed for Mageia2.

I am afraid that this same bug will be detected on MGA3

We are probably close to resolve it, but as i am not an expert in this field I only imagine that the machine cant access to the plugin. permissions on files ?

Sorry for the update. If the HP printer was mine I could realize more tests.
Comment 51 Serge Moreau 2012-11-02 20:39:59 CET
The link to the french forum :

http://www.mageialinux-online.org/forum/topic-13789+hp-laser-1132-mfp-un-peu-d-aide.php

SM
Comment 52 claire robinson 2012-11-02 23:36:46 CET
Thanks Serge. It appears there are still problems then.

Florian, are you still maintainer for hplip?
Comment 53 Florian Hubold 2012-11-03 15:59:09 CET
@Claire: Yes, because this bug is still unresolved. After resolving it, i'll drop/suspend maintainership as for my other packages.

Nevertheless, i think Serge's problem is unrelated to the general problem reported here. As you can see, on his local box the plugin installation worked without problems.
His problem may come from another problem within hplip, or from his bad downloads, and as there is no fix in sight not even a clear, reproducable problem description available, i'm afraid currently we're not able to fix his particular problem, but this blocks this update's validation.

And the update seems to fix the problem reported here, see Comment #36.


Only proposal from my side: I've asked the reporter of https://bugs.mageia.org/show_bug.cgi?id=7637 to also help with the validation of this bug, and if it works for him, i'll also add the fix for his bug, so we can fix two bugs in one update.

Otherwise i cannot do much more for hplip as my spare time does not permit it anymore and it's quite some work. If anybody else feels like doing it, feel free and don't hesitate.
Comment 54 Julien Moragny 2012-11-04 12:13:54 CET
Hi,

I'm the reporter of https://bugs.mageia.org/show_bug.cgi?id=7637

I'm not sure I understand what is needed to validate this update (apart from the common procedure). Could you enlighten me ? My printer/scanner doesn't need a plugin to work, so i'm not sure I could properly validate something :/

regards
Julien

CC: (none) => julien.moragny

Comment 55 claire robinson 2012-11-13 17:59:16 CET
Hi Julien

It would help us if you could test hplip works ok with the update installed from core/updates_testing. See comment 27.

SRPM: hplip-3.12.4-1.1.mga2.src.rpm
-----------------------------------
hplip-debug
hplip-doc
hplip-gui
hplip-hpijs
hplip-hpijs-ppds
hplip
hplip-model-data
lib64hpip0-devel
lib64hpip0
lib64sane-hpaio1
libhpip0-devel
libhpip0
libsane-hpaio1

Thanks!
Comment 56 claire robinson 2012-11-13 18:07:02 CET
Testing Mga2 64 without an HP device of any sort, it seems to complete installing the plugins without problems but of course doesn't find any device to configure.

# hp-plugin -gi

<snip>

Do you accept the license terms for the plug-in (y=yes*, n=no, q=quit) ? y

Done.

hp-plugin[31454]: debug: Device URI usb://Canon/iP4900%20series?serial=C031C2 is invalid/unknown
hp-plugin[31454]: debug: Exception: 4 (Unknown/invalid device-uri field)

Done.
hp-plugin[31454]: debug: Unlocking: /var/hp-plugin.lock


If we are unable to fully test hplip then verifying the plugins install will have to be sufficient.

I'll send a request for tests to -dev ML
Comment 57 Julien Moragny 2012-11-13 21:13:33 CET
Mageia 2 32 bits :

it works with a photosmart C6380 :
  - printing
  - scanning
  - it download and install plugin (don't know if it works, my printer doesn't need it)


The same for Mageia 1 32 bits :

it works with a photosmart C6380 :
  - printing
  - scanning
  - it download and install plugin (don't know if it works, my printer doesn't need it)

regards
julien
Julien Moragny 2012-11-13 21:19:31 CET

Whiteboard: MGA1TOO, MGA2-64-OK => MGA1TOO, MGA2-64-OK, MGA2-32-OK, MGA1-32-OK

Comment 58 claire robinson 2012-11-13 23:29:10 CET
Thankyou for doing those Julien.
Comment 59 claire robinson 2012-11-13 23:39:29 CET
Yann Ciret has discovered that the x86_64 mga1 build is missing Florian.

CC: (none) => mageia

Comment 60 Julien Moragny 2012-11-13 23:51:17 CET
It seems my test with mga1 32 bits are not good also.

I thought I had installed hplip from update_testing but after verification, they miss from update_testing.

sorry.

Whiteboard: MGA1TOO, MGA2-64-OK, MGA2-32-OK, MGA1-32-OK => MGA1TOO, MGA2-64-OK, MGA2-32-OK

Comment 61 claire robinson 2012-11-14 00:32:22 CET
Florian, can you confirm the intended updates here please. Should it be mga1 also or is this just for mga2?

The MGA1TOO whiteboard keyword is set which suggests both but I notice now in comment 27 you don't mention mga1.

If it's just mga2 then the MGA1TOO can be removed from the whiteboard and this can probably be validated on the basis of testing already performed.

Thanks
Comment 62 Florian Hubold 2012-11-14 21:05:50 CET
Well,

there was no mga1 build, as the change/breakage which i undid for this update, is not existent in Mageia 1. See https://bugs.mageia.org/show_bug.cgi?id=5395#c22 for comparison.

And then look at the SPEC of current mga1 hplip: http://svnweb.mageia.org/packages/updates/1/hplip/current/SPECS/hplip.spec?revision=147998&view=markup in line 785
Comment 63 claire robinson 2012-11-14 21:31:50 CET
Thanks Florian. 

I guess there is no need for MGA1TOO then. I think we can validate this one.



Validating

Advisory and srpm in comment 27

Could sysadmin please push from core/updates_testing to core/updates.

Thanks!

Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs
Whiteboard: MGA1TOO, MGA2-64-OK, MGA2-32-OK => MGA2-64-OK, MGA2-32-OK

Comment 64 Thomas Backlund 2012-11-17 17:36:36 CET
Update pushed:
https://wiki.mageia.org/en/Support/Advisories/MGAA-2012-0220

Status: ASSIGNED => RESOLVED
CC: (none) => tmb
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.